Summary: A Dynamical Systems Toolkit (Tcl/Tk Version)
Name: dstool
Version: tk
Release: 1
Copyright: Distributable (check README)
Group: Applications/Engineering
Icon: dstool.xpm
Source: ftp://macomb.cam.cornell.edu/pub/dstool/Version_tk/dstool_tk.tar.gz
Patch: dstool_tk-linux_compile_and_install.patch
URL: ftp://macomb.cam.cornell.edu/pub/dstool/
Vendor: Cornell University, Center of Applied Mathematics, Ithaca, NY 14853 <dstool_bugs@macomb.tn.cornell.edu>
Packager: Ayub Yaqub, University College London, Centre for Nonlinear Dynamics & its Applications, London, WC1E 6BT <ayub.yaqub@ucl.ac.uk>

%description
A Dynamical Systems Toolkit. This software is very useful in the visual study of nonlinear systems and Chaos, as well as finding numerical solutions to differential equations. It has the ability to plot flows and maps in both 2D & 3D phase space (for 3D install Geomview @ http://www.geomview.com). One can also define Poincare surfaces & plot bifurcation diagrams. A number of prebuilt models are included for study - e.g. Lorenz System.

This rpm package has been built from a stable beta (or was it alpha?) version. Nevertheless many extra features are only available in this Tcl/Tk version, which is newer than Version 2.0 Alpha for xview (OpenWindows).

DsTool is property of Cornell University, Center of Applied Math, Ithaca, NY 14853 <dstool_bugs@macomb.tn.cornell.edu>.

This quality Linux rpm uses pristine sources and is courtesy of Ayub Yaqub <ayub.yaqub@ucl.ac.uk>.

%prep
cd $RPM_BUILD_DIR
rm -rf *
zcat $RPM_SOURCE_DIR/dstool_tk.tar.gz | tar -xvf -
chown -R root.root .
chmod -R a+rX,g-w,o-w *
%patch -p1


%build
DSTOOL=$RPM_BUILD_DIR
ARCH=linux
export DSTOOL ARCH
make depend
make all

%install
chmod 755 linux.install.script
./linux.install.script

%files
%doc README
%doc README.LINUX
%doc INSTALL
%doc VERSION
%doc changes
/usr/local/bin/dstool_tk
/usr/local/bin/dscat
/usr/local/share/dstool_tk
/usr/local/man/man1/dstool_tk.1

%clean
rm -rf $RPM_BUILD_DIR/*